## org.jfree.report.flow
Interface StatefullReportTarget

All Superinterfaces:
  ReportTarget

All Known Implementing Classes:
  LibLayoutReportTarget

    public interface StatefullReportTarget

extends ReportTarget

Creation-Date: 11.11.2006, 19:02:57

Author:
  Thomas Morgner

Method Summary
`ReportTargetState` `saveState()`

Methods inherited from interface org.jfree.report.flow.ReportTarget
`commit, endElement, endReport, getExportDescriptor, getNamespaceByUri, processContent, processText, startElement, startReport`

Method Detail

### saveState

    ReportTargetState saveState()
                                throws org.jfree.layouting.StateException

  Throws:
    `org.jfree.layouting.StateException`